<!--- Set a value for 'SESSION.country' --->
<cflock scope="Session" timeout="20" type="Exclusive">
	<cfset SESSION.country = "Germany">
</cflock>

<!--- Include the workaround function 'checkURLSessionFormat(string)' --->
<cfinclude template="udf/checkURLSessionFormat.cfm">

<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>URLSessionFormat - test.cfm</title>
</head>
<body>
	<div>
		<cfoutput>
		<h3><u>Please follow this description:</u><br><br>
			1. First DEACTIVATE ALL TYPES OF COOKIES in your browser!<br>
			2. Delete the cookie 'JSESSIONID' if it exists and refresh the page.<br>
			3. Then press the submit buttons to call the next page (test-2.cfm)
		</h3>
		<p>
			<strong>Country:</strong> #SESSION.country# (<em>the value "Germany" should be displayed</em>)
		</p>
		<p>
			<!--- Lucee's none working standard function: URLSessionFormat('string')' --->
			<form name="testForm" id="testForm" action="#URLSessionFormat('test-2.cfm')#" method="post">
				<input type="submit" name="submit" value="Not working example" style="width:450px;">
			</form>
		</p>
		<p>
			<!--- WORKAROUND function: checkURLSessionFormat('string') --->
			<form name="testForm" id="testForm" action="#checkURLSessionFormat('test-3.cfm')#" method="post">
				<input type="submit" name="submit" value="Working 'workaround' example" style="width:450px;">
			</form>
		</p>
		<p>
			<!--- WORKAROUND function with additional URL parameters: checkURLSessionFormat('string') --->
			<form name="testForm" id="testForm" action="#checkURLSessionFormat('test-3.cfm?param1=123&param2=456')#" method="post">
				<input type="submit" name="submit" value="Working 'workaround' example with additional URL parameters" style="width:450px;">
			</form>
		</p>
		</cfoutput>
	</div>
</body>
</html>